#ifndef _H_MORPH_PRETTYPRINT
#define _H_MORPH_PRETTYPRINT

#include <stddef.h>
#include <stdint.h>

enum {
    PPM_NONE = 0,

};

typedef struct {
    uint8_t magic[2];
} pp_stub_t;

#define PP_MAGIC_PRE 0x4F
#define magic(post) ((PP_MAGIC_PRE << 8) & post)
#define pretty_print(structure) _pretty_print(0, (pp_stub_t*)structure);
void _pretty_print(size_t indent, pp_stub_t* structure);

#endif // !_H_MORPH_PRETTYPRINT
