#ifndef _H_MORPH_PARSER_TOKCMP
#define _H_MORPH_PARSER_TOKCMP

#include <parser/parser.h>
#include <token.h>
token_t* expect_token_type(parser_state_t* state, token_type_t type);
token_t* expect_token_type_mul(parser_state_t* state, token_type_t types[], int type_count);
token_t* expect_token_type_ex(parser_state_t* state, token_type_t type, int inner_type);

// Tests token type, and inner type, so like, op type, kw type, etc.
// Does not edit state.curr_tok
token_t* test_token_type_ex(parser_state_t* state, token_type_t tok_type, int gen_type);
token_t* test_token_type(parser_state_t* state, token_type_t tok_type);

#endif // _H_MORPH_PARSER_TOKCMP
